//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.02.01 at 03:58:26 PM CET 
//

package net.ihe.gazelle.app.validationservice.adapter.reportmodel;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

/**
 * <p>
 * Java class for anonymous complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}ValidationDate"/&gt;
 *         &lt;element ref="{}ValidationTime"/&gt;
 *         &lt;element ref="{}ValidationServiceName"/&gt;
 *         &lt;element ref="{}ValidationTestResult"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"validationDate", "validationTime",
        "validationServiceName", "validationEngine", "validationTestResult", "validationServiceVersion", "validationEngineVersion"})
@XmlRootElement(name = "ValidationResultsOverview")
public class ValidationResultsOverview {

    @XmlElement(name = "ValidationDate", required = true)
    protected String validationDate;
    @XmlElement(name = "ValidationTime", required = true)
    protected String validationTime;
    @XmlElement(name = "ValidationServiceName", required = true)
    protected String validationServiceName;
    @XmlElement(name = "ValidationEngine", required = true)
    protected String validationEngine;
    @XmlElement(name = "ValidationTestResult", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    protected String validationTestResult;

    @XmlElement(name = "ValidationEngineVersion")
    protected String validationEngineVersion;

    @XmlElement(name = "ValidationServiceVersion")
    protected String validationServiceVersion;

    public String getValidationServiceVersion() {
        return validationServiceVersion;
    }

    public void setValidationServiceVersion(String validationServiceVersion) {
        this.validationServiceVersion = validationServiceVersion;
    }

    public String getValidationEngineVersion() {
        return validationEngineVersion;
    }

    public void setValidationEngineVersion(String validationEngineVersion) {
        this.validationEngineVersion = validationEngineVersion;
    }

    /**
     * Gets the value of the validationDate property.
     *
     * @return possible object is {@link String }
     */
    public String getValidationDate() {
        return validationDate;
    }

    /**
     * Sets the value of the validationDate property.
     *
     * @param value allowed object is {@link String }
     */
    public void setValidationDate(String value) {
        this.validationDate = value;
    }

    /**
     * Gets the value of the validationTime property.
     *
     * @return possible object is {@link String }
     */
    public String getValidationTime() {
        return validationTime;
    }

    /**
     * Sets the value of the validationTime property.
     *
     * @param value allowed object is {@link String }
     */
    public void setValidationTime(String value) {
        this.validationTime = value;
    }

    /**
     * Gets the value of the validationServiceName property.
     *
     * @return possible object is {@link String }
     */
    public String getValidationServiceName() {
        return validationServiceName;
    }

    /**
     * Sets the value of the validationServiceName property.
     *
     * @param value allowed object is {@link String }
     */
    public void setValidationServiceName(String value) {
        this.validationServiceName = value;
    }

    /**
     * Gets the value of the validationTestResult property.
     *
     * @return possible object is {@link String }
     */
    public String getValidationTestResult() {
        return validationTestResult;
    }

    /**
     * Sets the value of the validationTestResult property.
     *
     * @param value allowed object is {@link String }
     */
    public void setValidationTestResult(String value) {
        this.validationTestResult = value;
    }

    /**
     * Gives information about the test engine used by the validation service
     *
     * @return
     */
    public String getValidationEngine() {
        return validationEngine;
    }

    public void setValidationEngine(String validationEngine) {
        this.validationEngine = validationEngine;
    }

}
